# Uses of Class
org.pentaho.reporting.libraries.resourceloader.ResourceCreationException

Packages that use ResourceCreationException
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.factory
org.pentaho.reporting.libraries.resourceloader.factory.property
org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg
org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

## Uses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader

Subclasses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader
Modifier and Type
Class
Description
`class`
`ContentNotRecognizedException`
The ContentNotRecognizedException signals that none of the selected resource factories was able to handle the request.
Methods in org.pentaho.reporting.libraries.resourceloader that throw ResourceCreationException
Modifier and Type
Method
Description
`Resource`
DefaultResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData data, ResourceKey context, Class[] target)`
`Resource`
ResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
Creates a resource by interpreting the data given in the resource-data object.
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context)`
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context, Class target)`
`Resource`
ResourceManager.`create(ResourceKey key, ResourceKey context, Class[] target)`
`Resource`
ResourceManagerBackend.`create(ResourceManager frontEnd, ResourceData key, ResourceKey context, Class[] target)`
`Resource`
ResourceManager.`createDirectly(Object keyValue, Class target)`

## Uses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader.factory

Methods in org.pentaho.reporting.libraries.resourceloader.factory that throw ResourceCreationException
Modifier and Type
Method
Description
`int`
AbstractFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
FactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
AbstractResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`
`Resource`
FactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader.factory.property

Methods in org.pentaho.reporting.libraries.resourceloader.factory.property that throw ResourceCreationException
Modifier and Type
Method
Description
`Resource`
PropertiesResourceFactory.`create(ResourceManager manager, ResourceData data, ResourceKey context)`

## Uses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.imageio that throw ResourceCreationException
Modifier and Type
Method
Description
`int`
ImageIOFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
ImageIOFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.svg that throw ResourceCreationException
Modifier and Type
Method
Description
`int`
WrapperSVGDrawableFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
WrapperSVGImageFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
WrapperSVGDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperSVGImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`

## Uses of ResourceCreationException in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf

Methods in org.pentaho.reporting.libraries.resourceloader.modules.factory.wmf that throw ResourceCreationException
Modifier and Type
Method
Description
`int`
WrapperWMFDrawableFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`int`
WrapperWMFImageFactoryModule.`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
WrapperWMFDrawableFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`Resource`
WrapperWMFImageFactoryModule.`create(ResourceManager caller, ResourceData data, ResourceKey context)`